al_get_opengl_texture_size(3)

NAME

al_get_opengl_texture_size - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_opengl.h>
    bool al_get_opengl_texture_size(ALLEGRO_BITMAP *bitmap, int *w, int *h)

DESCRIPTION

Retrieves the size of the texture used for the bitmap. This can be different from the bitmap size if OpenGL only supports power-of-two sizes or if it is a sub-bitmap.

Returns true on success, false on failure. Zero width and height are returned if the bitmap is not an OpenGL bitmap.

SEE ALSO

al_get_opengl_texture_position(3)